• Which the release of FS2020 we see an explosition of activity on the forun and of course we are very happy to see this. But having all questions about FS2020 in one forum becomes a bit messy. So therefore we would like to ask you all to use the following guidelines when posting your questions:

    • Tag FS2020 specific questions with the MSFS2020 tag.
    • Questions about making 3D assets can be posted in the 3D asset design forum. Either post them in the subforum of the modelling tool you use or in the general forum if they are general.
    • Questions about aircraft design can be posted in the Aircraft design forum
    • Questions about airport design can be posted in the FS2020 airport design forum. Once airport development tools have been updated for FS2020 you can post tool speciifc questions in the subforums of those tools as well of course.
    • Questions about terrain design can be posted in the FS2020 terrain design forum.
    • Questions about SimConnect can be posted in the SimConnect forum.

    Any other question that is not specific to an aspect of development or tool can be posted in the General chat forum.

    By following these guidelines we make sure that the forums remain easy to read for everybody and also that the right people can find your post to answer it.

MSFS MSFS Asobo Official Blender exporter

That's it, that's all clear to me. I know how to install an addon in Blender. Other addons I use work flawlessly. The problem is simply that Blender can't find the "bpy.ops.export_scene.gltf" according to the error message.

I read in another thread that the error also occurs in Blender's own gltf export and has nothing to do with the asobo exporter. There someone wrote that Blender caused problems because he did not install an addon as administrator, but started blender as admin. Supposedly that fixed the problem for him. so I also uninstalled everything, started it as Admin Blender and reinstalled the asobo exporter. The error is still there.

I also don't understand why Blender has a problem finding this one file. I have also installed blender 2.93 LTS again, there comes the same error 🥺
 
This is a copy of what I posted on the MSFS forum:

Ok looking at the error, line 82 shows that you still have the 1.3.0 exporter installed. So you need to fix that.

Since you tried to install this add-on different times in different ways. You need to remove the conflicting add-on version manually.

Close Blender

Add-ons are stored in different places on your computer.

I am going to suggest things that assume you undertsand computer folder and files locations.

Go to your blender addon installation for Blender 3.3 it may be in C:\Program Files\Blender Foundation\Blender 3.3\3.3\scripts\addons

Please make sure there is no io_scene_gltf2_msfs folder. If you see one delete that folder.

DO NOT DELETE THE

io_scene_gltf2

folder, this is the core Khronos code.

Now go to the second place that add-ons could be

C:\Users\tobia\AppData\Roaming\Blender Foundation\Blender\3.3\scripts\addons

Delete the io_scene_gltf2_msfs folder.

Start Blender

Check add-ons and make sure you have the “io_scene_gltf2” addon only, the msfs one should be gone.

Now reinstall the msfs Asobo 1.3.1 addon using the edit Preferences way with the proper zip file.

https://github.com/AsoboStudio/glTF-Blender-IO-MSFS/releases/download/v1.3.1/io_scene_gltf2_msfs.zip
 
Hi Rohn,

I have packed a fully configured portable install of Blender 3.3.3 with the Asobo plug-in 1.3.1 enabled and export options configured

This is as simple as unzip and run, maybe anyone with issues in the install process may consider this as a viable option?


(Checked blender license, everyonse is allowed to distribute it, so maybe you can share a similar pack on the GitHub repo?)

Inviato dal mio Mi 9 Lite utilizzando Tapatalk
 
Manu.

Considering the number of users that are having problems with either adding an addon or failing in reading what version of Blender to use I was thinking of doing the same thing. Touche!!
 
Hello @ronh , the screenshot was the first one with the downloaded 1.3.1 where the zip file was wrong and Asobo corrected it. Version 1.3.1 is now installed and is also displayed as such. The error message is the same.

On the one hand I will try your procedure again, but you had already answered here when the error started a few weeks ago. So I followed your instructions completely. I have an idea of folder structure, I built and installed PCs professionally for 10 years and worked on a large network update including a new PC system for our company.

The error also appeared on the other PC, I never had Blender installed there, only when I wanted to test it there did I install Blender for the first time. Therefore there can be no remains of old installations. Still the same error

I will test the finished installation from @mamu tomorrow, thank you for providing it.

Maybe something is wrong in the configuration of the addon/exporter.
 
Hi Rohn,


This is as simple as unzip and run, maybe anyone with issues in the install process may consider this as a viable option?
Yes this is good. Everyone using this. Ensure that you have removed the previous version using the remove button. Do not just disable it, as you have put the add on in the main blender folder and not the APPData one. Just sayin' this could cause a conflict if ALL the ASOBO and legacy add-ons are in the blender folder system.
To others try REMOVING any legacy Blender2MSFS - not just disabling it with the checkbox. @onlinetk
 
Very good news @mamu and @ronh

the finished installation of mamu works. the export takes place. Thanks a lot for this.

Can I make a small PayPal donation to both of you for your trouble? Without you, especially Mamu, I would not have found a solution. Whatever the reason, something didn't work for me

EDIT:
deleted, problem recognized and fixed
 
Last edited:
Back
Top